# Uses of Class
java.util.zip.Inflater

Packages that use Inflater
Package
Description
java.util.zip
Provides classes for reading and writing the standard ZIP and GZIP file formats.

- ## Uses of Inflater in java.util.zip

  Fields in java.util.zip declared as Inflater
  Modifier and Type
  Field
  Description
  `protected Inflater`
  InflaterInputStream.`inf`
  Decompressor for this stream.
  `protected final Inflater`
  InflaterOutputStream.`inf`
  Decompressor for this stream.
  Constructors in java.util.zip with parameters of type Inflater
  Modifier
  Constructor
  Description
  ``
  `InflaterInputStream(InputStream in, Inflater inf)`
  Creates a new input stream with the specified decompressor and a default buffer size.
  ``
  `InflaterInputStream(InputStream in, Inflater inf, int size)`
  Creates a new input stream with the specified decompressor and buffer size.
  ``
  `InflaterOutputStream(OutputStream out, Inflater infl)`
  Creates a new output stream with the specified decompressor and a default buffer size.
  ``
  `InflaterOutputStream(OutputStream out, Inflater infl, int bufLen)`
  Creates a new output stream with the specified decompressor and buffer size.